Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-0001

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2009-0001
Last Modified 07 Mar 2011 10:17:44
Published 21 Jan 2009 03:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2009-0001

Summary

Heap-based buffer overflow in Apple QuickTime before 7.6 allows remote attackers to cause a denial of service (application termination) and possibly execute arbitrary code via a crafted RTSP URL.

Vulnerable Systems

Application

  • Apple Quicktime 3

  • Apple Quicktime 4.1.2

  • Apple Quicktime 5.0

  • Apple Quicktime 5.0.1

  • Apple Quicktime 5.0.2

  • Apple Quicktime 6.0

  • Apple Quicktime 6.1

  • Apple Quicktime 6.5

  • Apple Quicktime 6.5.1

  • Apple Quicktime 6.5.2

  • Apple Quicktime 7.0

  • Apple Quicktime 7.0.1

  • Apple Quicktime 7.0.2

  • Apple Quicktime 7.0.3

  • Apple Quicktime 7.0.4

  • Apple Quicktime 7.0.8

  • Apple Quicktime 7.1

  • Apple Quicktime 7.1.1

  • Apple Quicktime 7.1.2

  • Apple Quicktime 7.1.3

  • Apple Quicktime 7.1.4

  • Apple Quicktime 7.1.5

  • Apple Quicktime 7.1.6

  • Apple Quicktime 7.2

  • Apple Quicktime 7.3

  • Apple Quicktime 7.3.1

  • Apple Quicktime 7.3.1.70

  • Apple Quicktime 7.4

  • Apple Quicktime 7.4.1

  • Apple Quicktime 7.4.4

  • Apple Quicktime 7.4.5

  • Apple Quicktime 7.5

  • Apple Quicktime 7.5.5


References

CERT - TA09-022A

APPLE - APPLE-SA-2009-01-21

XF - quicktime-rtspurl-bo(48154)

VUPEN - ADV-2009-0212

BID - 33385

CONFIRM - http://support.apple.com/kb/HT3403

SECUNIA - 33632

Related Patches

Apple 2009-01-21 QuickTime 7.6 for Tiger

Apple 2009-01-21 QuickTime 7.6 for Leopard


Last Updated: 27 May 2016 10:49:32